Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/lines \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"price_id": "2f6c41a7-cc74-35c1-833d-43221c3286af",
"quantity": 20
}
'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/lines"
payload = {
"price_id": "2f6c41a7-cc74-35c1-833d-43221c3286af",
"quantity": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({price_id: '2f6c41a7-cc74-35c1-833d-43221c3286af', quantity: 20})
};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "a13651d1-84e3-4601-8b2e-c61ced85c9ea",
"reference_id": "f4d4a43c-9215-3bd8-84f9-29ab23cd7e8f",
"title": "Dr.",
"description": "Ullam ut qui dignissimos nam.",
"quantity": 1,
"unit_quantity": 1,
"purchasable_type": "product_variant",
"purchasable_id": "e5fe7d27-6e76-337e-bc97-558b204bcdc2",
"unit_price": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total_before_tax": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"exchange_rate": "0.80000000",
"exchange_rate_fetched_at": "2026-03-03T14:05:29.0000000+00:00"
}
}Add a Purchasable to the Cart.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes